services:
  invoiceapi:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8080:8080"
    depends_on:
      - gotenberg
    environment:
      - PDF_HOSTNAME=http://gotenberg:3000
    volumes:
      - ./config.json:/config.json
    develop:
      watch:
        - action: rebuild
          path: .
          ignore:
            - .git
  gotenberg:
    image: gotenberg/gotenberg:8
    restart: unless-stopped
